/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:JLogFactory.java 1465 2007-06-07 16:38:37Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.log;

import org.ow2.util.i18n.I18n;

/**
 * This factory delegates to the JDK logger.
 * Then, this logger is wrapped into an OW2 logger.
 * @author Florent Benoit
 */
public final class LogFactory {

    /**
     * Utility class, no public constructor.
     */
    private LogFactory() {

    }

    /**
     * Factory method used to return a logger.
     * @param clazz a class used as a key for the logger
     * @return an EasyBeans logger.
     */
    public static Log getLog(final Class<?> clazz) {
        return new JDKLogger(clazz, I18n.getInstance(clazz));

    }
}
